%define	Werror_cflags	%nil
#version of the videos in warzone2100-videos-low. May not match current game version (e.g. videos 2.2 for game 2.3.5).
%define videoversion 2.2

Name:		warzone2100
Version:	3.1.2
Release:	%mkrel 1
Group:		Games/Strategy
Source0:	http://downloads.sourceforge.net/warzone2100/warzone2100-%{version}.tar.xz
Patch0:		warzone2100-3.1.1-glew-1.11.patch
URL:		http://wz2100.net/
Summary:	Postnuclear realtime strategy
License:	GPLv2+
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(openal) >= 0.0.8
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(quesoglc)
BuildRequires:	pkgconfig(sdl) >= 1.2
BuildRequires:	pkgconfig(theora) >= 1.0
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	physfs-devel
BuildRequires:	qt4-devel
BuildRequires:	imagemagick
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	zip
Requires:	%{name}-data = %{version}
Requires:	fonts-ttf-dejavu
Recommends:	%{name}-videos = %{videoversion}

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research
 * 2,000+ different units to design
 * 3 Large campaign maps to conquer
 * 24 Fast play mission maps for extra action
 * Intelligence Display sets objectives dynamically
 * Interactive message system
 * Fast Play Interface graphically Based
 * Quick Screen Navigation
 * Fast Find System for units & structures
 * Set Factories to constant production
 * Automatically send each factory's units to where you want them

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%prep
%setup -q
%apply_patches

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-distributor="%{_vendor}"
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_gamesdatadir}/applications/*.desktop %{buildroot}%{_datadir}/applications/

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--remove-key="TryExec" \
			--add-category="Game;StrategyGame" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
mv icons/warzone2100.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
rm -rf %{buildroot}%{_gamesdatadir}/icons/%{name}.png

#remove data that already are in the data package => lighter package
rm -rf %{buildroot}%{_gamesdatadir}

%find_lang %{name}

%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesbindir}/%{name}


%changelog
* Mon Feb 16 2015 zezinho <zezinho> 3.1.2-1.mga4
+ Revision: 815024
- new version to allow online gaming #15296

* Sat Oct 19 2013 umeabot <umeabot> 3.1.0-5.mga4
+ Revision: 530463
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 3.1.0-4.mga4
+ Revision: 457724
- Rebuild for new glew

* Mon Jun 03 2013 fwang <fwang> 3.1.0-3.mga4
+ Revision: 436275
- rebuild for new libpng
- update source url

* Sun Mar 24 2013 fwang <fwang> 3.1.0-2.mga3
+ Revision: 404801
- drop old tarball

* Sat Mar 23 2013 zezinho <zezinho> 3.1.0-1.mga3
+ Revision: 404633
- new version

* Mon Jan 14 2013 umeabot <umeabot> 2.3.9-3.mga3
+ Revision: 385619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean spec file

* Wed Jan 04 2012 zezinho <zezinho> 2.3.9-2.mga2
+ Revision: 190787
- rebuild in hope to fix segfaults #4014

* Mon Oct 31 2011 zezinho <zezinho> 2.3.9-1.mga2
+ Revision: 160380
- new version

* Tue Sep 13 2011 fwang <fwang> 2.3.8-3.mga2
+ Revision: 142930
- rebuild for new libpng
- br bison
- cleanup br

* Mon Jun 27 2011 fwang <fwang> 2.3.8-1.mga2
+ Revision: 114602
- new version 2.3.8

* Sat Feb 26 2011 eandry <eandry> 2.3.7-1.mga1
+ Revision: 60954
- clean spec
- vendor is Mageia
- imported package warzone2100


* Wed Jan 26 2011 Zombie Ryushu <ryushu@mandriva.org> 2.3.7-1mdv2011.0
+ Revision: 632780
- Upgrade to 2.3.7

* Sat Dec 04 2010 Zombie Ryushu <ryushu@mandriva.org> 2.3.6-1mdv2011.0
+ Revision: 609497
- Upgrade to 2.3.6
- Upgrade to 2.3.6

* Sun Sep 26 2010 Samuel Verschelde <stormi@mandriva.org> 2.3.5-1mdv2011.0
+ Revision: 581120
- update to 2.3.5
- fix video package version number (was 2.3 should be 2.2)

* Fri Aug 20 2010 Zombie Ryushu <ryushu@mandriva.org> 2.3.4-1mdv2011.0
+ Revision: 571484
- Upgrade to 2.3.4
- Upgrade to 2.3.4

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 2.3.3-1mdv2011.0
+ Revision: 565905
- new version 2.3.3

  + Zombie Ryushu <ryushu@mandriva.org>
    - Upgrade to 2.3.1a
    - Upgrade to 2.3.1a

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 538568
- New version 2.3.0

* Sat Nov 07 2009 Samuel Verschelde <stormi@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 462495
- Suggests warzone-videos
- buildrequires libtheora-devel
- new version 2.2.4
- removed unneeded data from the resulting RPM (they are already in the warzone2100-data package).
- removed an apparently no more needed patch
- require warzone2100-data in same version (previous require didn't specify the version)
- removed no more needed sed on desktop file

* Sun Oct 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-3mdv2010.0
+ Revision: 453719
- rebuild for new libopenal

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 352992
- New version 2.1.2

* Wed Feb 11 2009 Zombie Ryushu <ryushu@mandriva.org> 2.1.1-1mdv2009.1
+ Revision: 339315
- Upgrade to 2.1.1 and include the music
- Stable release 2.1.0
- Preliminary 2.1.0 Stable Build

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.1-0.beta4.3mdv2009.0
+ Revision: 275777
- fix file list
- split data again to save bandwith
- fix source URL

* Sun Aug 24 2008 Emmanuel Andry <eandry@mandriva.org> 2.1-0.beta4.2mdv2009.0
+ Revision: 275518
- fix requires

* Sun Aug 24 2008 Emmanuel Andry <eandry@mandriva.org> 2.1-0.beta4.1mdv2009.0
+ Revision: 275495
- New version
- fix license
- Also package warzone2100 data, not useful to have it in a different package

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.0.10-1mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 2.0.10-1mdv2008.1
+ Revision: 161733
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-1mdv2008.1
+ Revision: 120385
- New version
- fix desktop file validation

* Sun Jul 08 2007 Funda Wang <fwang@mandriva.org> 2.0.7-1mdv2008.0
+ Revision: 49732
- Remove duplicated files
- fix spec file on icon dir
- New version

* Sun May 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.6-1mdv2008.0
+ Revision: 28841
- update to latest version
- buildrequires on zip
- correct configure options
- drop old menu style
- own missing files


* Mon Jan 15 2007 Olivier Blin <oblin@mandriva.com> 2.0.5-2mdv2007.0
+ Revision: 109210
- update url

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.5-1mdv2007.1
+ Revision: 108425
- New version 2.0.5

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 2.0.4-5mdv2007.1
+ Revision: 90018
- buildrequire desktop-file-utils
- buildrequires png-devel
- buildrequires jpeg-devel
- remove TryExec from XDG menu (so that it appears in KDE)
- Import warzone2100

* Wed Sep 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-4mdv2007.0
- fix buildrequires

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.4-3mdv2007.0
- add Game;StrategyGame in xdg category

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-2mdv2007.0
- add missing buildrequires

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-1mdv2007.0
- 2.0.4
- fix buildrequires
- merge packages
- update url

* Sat Aug 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-6mdv2007.0
- xdg menu

* Thu Sep 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-5mdk
- rebuild to fix path to menudir on x86_64

* Fri Sep 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-4mdk
- enable 64 bit build (not considered safe)
- make %%build --short-circuitable

* Sat Sep 03 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-3mdk
- split out data in own package to be able to provide smaller releases
- build software accelerated binary too

* Fri Sep 02 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-2mdk
- fix summary

* Thu Sep 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-1mdk
- initial release

